"""
Remove derived_video_id column

Revision ID: 6785935d714c
Revises: 815bdea28cfb
Create Date: 2018-11-28 10:06:35.856680

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '6785935d714c'
down_revision = '815bdea28cfb'
branch_labels = None
depends_on = None


def upgrade():
    op.drop_constraint('fk_video_derived_video_id_video', 'video', type_='foreignkey')
    op.drop_column('video', 'derived_video_id')


def downgrade():
    op.add_column('video', sa.Column('derived_video_id', postgresql.UUID(), autoincrement=False,
                                     nullable=True))
    op.create_foreign_key('fk_video_derived_video_id_video', 'video', 'video', ['derived_video_id'],
                          ['id'])
